#ifndef CDLGTRANSFER_H
#define CDLGTRANSFER_H

#include <QWidget>

#include <ui_IDlgTransfer.h>

class CCanvas;

class CDlgTransfer : public QWidget, private Ui::CDlgTransfer
{
    Q_OBJECT
    public:
        CDlgTransfer(QWidget *parent = 0);
        virtual ~CDlgTransfer();

    protected:
        void paintEvent(QPaintEvent * e);
        void draw(QPainter& p);
    private:

    public slots:
        void update(const QString& msg);
        void mode(int type);
};

#endif // CDLGTRANSFER_H
